﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Main.master" %>

<script runat="server">
    [HttpParameter(AllowEmpty = true)] public long? HistoryID;
    [HttpParameter] public string title;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (HistoryID == null)
        {
            var article = Article.FindByTitle(title);
            ContextHolder.Text
                = article != null
                ? CommonHelper.GenerateShowText(article.Content)
                : "The wiki page does not exist.  The page will be created the first time you edit it. ";
        }
        else
        {
            var h = ArticleHistory.FindById(HistoryID.Value);
            if(h != null)
            {
                ContextHolder.Text = CommonHelper.GenerateShowText(h.Content);
            }
        }
    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label ID="ContextHolder" runat="server" Text=""></asp:Label>
</asp:Content>
